%define debug_package %{nil}

Summary: Fedora EPEL configuration files for the Smart package manager
Name: fedora-package-config-smart
Version: 5
Release: 1%{?dist}
License: GPL+
Group: System Environment/Base
URL: http://fedoraproject.org/wiki/EPEL
Source0: %{name}-%{version}EL.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: smart
Provides: smart-config

%description
Fedora EPEL configuration files for the Smart package manager.

%prep
%setup -q -n %{name}-%{version}EL
# place the proper arch in the folders
for filein in *.channel.in; do
  file=`echo $filein | sed -e's,\.in$,,'`
  sed -e's,@ARCH@,%{_target_cpu},g' < $filein > $file
done

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_sysconfdir}/smart/channels
install -p -m 0644 *.channel %{buildroot}%{_sysconfdir}/smart/channels

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/smart
%dir %{_sysconfdir}/smart/channels
%config(noreplace) %{_sysconfdir}/smart/channels/*.channel

%changelog
* Sun Sep 23 2007 Ville Skyttä <ville.skytta at iki.fi> - 5-1
- Initial EL-5 version based on Fedora's 6-8.
- Add empty %%build section.
- License: GPL+
